const configUrl = `${window.location.origin}/config.json`; // Get the base URL dynamically

let apiUrl: string | null = null; // Store the API URL

export const getApiUrl = (): string => {
  if (apiUrl) {
    // If the API URL has already been fetched, return it immediately
    return apiUrl!;
  }

  try {
    const xhr = new XMLHttpRequest();
    xhr.open('GET', configUrl, false); // Synchronous XHR request
    xhr.send();

    if (xhr.status !== 200) {
      throw new Error(`Network response was not ok: ${xhr.status}`);
    }

    const configData = JSON.parse(xhr.responseText);
    apiUrl = configData.apiUrl; // Cache the API URL
    return apiUrl!;
  } catch (error) {
    throw error;
  }
};

// Call the function to initialize the apiUrl
getApiUrl();